cURL
curl -X POST "$EXSITED_BASE_URL/api/v4/rental_assets/RENTAL_ASSET_ID/cancel" \
-H "Authorization: Bearer $ACCESS_TOKEN" \
-H "Content-Type: application/json" \
-d '{}'from exsited import build_client
client = build_client()
response = client.rental_assets.cancel_rental_asset("RENTAL_ASSET_ID", {})
print(response.data)
import {buildClient} from 'exsited';
const client = await buildClient();
const response = await client.rentalAssets.cancelRentalAsset('RENTAL_ASSET_ID', {});
console.log(response.data);
use Exsited\Client\ClientRegistry;
$client = ClientRegistry::buildClient();
$response = $client->rentalAssets->cancelRentalAsset('RENTAL_ASSET_ID', '{}');
print_r($response->data);
import com.exsited.client.ApiResponse;
import com.exsited.client.ClientRegistry;
import com.exsited.client.ExsitedClient;
import com.exsited.resources.rental_assets.rental_assets_dto.RentalAssetsDto.RentalAsset;
import java.util.Map;
ExsitedClient client = ClientRegistry.buildClient();
ApiResponse<RentalAsset> response = client.rentalAssets().cancelRentalAsset(
"RENTAL_ASSET_ID",
Map.of());
System.out.println(response.getMap());
using Exsited.Client;
await using var client = ExsitedClient.BuildClient();
var response = await client.RentalAssets.CancelRentalAssetAsync(
"RENTAL_ASSET_ID",
new Dictionary<string, object?>());
Console.WriteLine(response.Json);
import 'package:exsited/exsited.dart';
final client = buildClient();
final response = await client.rentalAssets.cancelRentalAsset(
'RENTAL_ASSET_ID',
{},
);
print(response.map);
import (
"context"
"fmt"
"log"
exsited "github.com/exsited/exsited-sdk-go/v4"
)
client, err := exsited.BuildClient(nil)
if err != nil {
log.Fatal(err)
}
defer client.Close()
response, err := client.RentalAssets().CancelRentalAsset(context.Background(), "RENTAL_ASSET_ID", map[string]any{}, nil)
if err != nil {
log.Fatal(err)
}
fmt.Println(response.Map)
{
"rental_asset": {
"activity_logs": "<array>",
"code": "<string>",
"created_by": {
"name": "<string>",
"object": "<string>"
},
"created_on": "<string>",
"custom_attributes": "<array>",
"custom_form": {
"object": "<string>",
"id": "<string>",
"name": "<string>",
"href": "<string>"
},
"description": "<string>",
"display_name": "<string>",
"href": "<string>",
"id": "<string>",
"image_name": null,
"item": null,
"last_updated_by": {
"name": "<string>",
"object": "<string>"
},
"last_updated_on": "<string>",
"name": "<string>",
"object": "<string>",
"rental_asset_availability": "<array>",
"rental_asset_custom_availability": [
{
"available": true,
"end_time": "<string>",
"id": "<string>",
"object": "<string>",
"preferred_day": "<string>",
"start_time": "<string>",
"status": "<string>"
}
],
"rental_asset_profile": {
"object": "<string>",
"id": "<string>",
"name": "<string>",
"href": "<string>"
},
"status": "<string>",
"use_custom_availability": true,
"version": 123
}
}Rental assets
Cancel a rental asset
Cancels a rental asset, setting its status to inactive.
POST
/
rental_assets
/
{rental_asset_id}
/
cancel
cURL
curl -X POST "$EXSITED_BASE_URL/api/v4/rental_assets/RENTAL_ASSET_ID/cancel" \
-H "Authorization: Bearer $ACCESS_TOKEN" \
-H "Content-Type: application/json" \
-d '{}'from exsited import build_client
client = build_client()
response = client.rental_assets.cancel_rental_asset("RENTAL_ASSET_ID", {})
print(response.data)
import {buildClient} from 'exsited';
const client = await buildClient();
const response = await client.rentalAssets.cancelRentalAsset('RENTAL_ASSET_ID', {});
console.log(response.data);
use Exsited\Client\ClientRegistry;
$client = ClientRegistry::buildClient();
$response = $client->rentalAssets->cancelRentalAsset('RENTAL_ASSET_ID', '{}');
print_r($response->data);
import com.exsited.client.ApiResponse;
import com.exsited.client.ClientRegistry;
import com.exsited.client.ExsitedClient;
import com.exsited.resources.rental_assets.rental_assets_dto.RentalAssetsDto.RentalAsset;
import java.util.Map;
ExsitedClient client = ClientRegistry.buildClient();
ApiResponse<RentalAsset> response = client.rentalAssets().cancelRentalAsset(
"RENTAL_ASSET_ID",
Map.of());
System.out.println(response.getMap());
using Exsited.Client;
await using var client = ExsitedClient.BuildClient();
var response = await client.RentalAssets.CancelRentalAssetAsync(
"RENTAL_ASSET_ID",
new Dictionary<string, object?>());
Console.WriteLine(response.Json);
import 'package:exsited/exsited.dart';
final client = buildClient();
final response = await client.rentalAssets.cancelRentalAsset(
'RENTAL_ASSET_ID',
{},
);
print(response.map);
import (
"context"
"fmt"
"log"
exsited "github.com/exsited/exsited-sdk-go/v4"
)
client, err := exsited.BuildClient(nil)
if err != nil {
log.Fatal(err)
}
defer client.Close()
response, err := client.RentalAssets().CancelRentalAsset(context.Background(), "RENTAL_ASSET_ID", map[string]any{}, nil)
if err != nil {
log.Fatal(err)
}
fmt.Println(response.Map)
{
"rental_asset": {
"activity_logs": "<array>",
"code": "<string>",
"created_by": {
"name": "<string>",
"object": "<string>"
},
"created_on": "<string>",
"custom_attributes": "<array>",
"custom_form": {
"object": "<string>",
"id": "<string>",
"name": "<string>",
"href": "<string>"
},
"description": "<string>",
"display_name": "<string>",
"href": "<string>",
"id": "<string>",
"image_name": null,
"item": null,
"last_updated_by": {
"name": "<string>",
"object": "<string>"
},
"last_updated_on": "<string>",
"name": "<string>",
"object": "<string>",
"rental_asset_availability": "<array>",
"rental_asset_custom_availability": [
{
"available": true,
"end_time": "<string>",
"id": "<string>",
"object": "<string>",
"preferred_day": "<string>",
"start_time": "<string>",
"status": "<string>"
}
],
"rental_asset_profile": {
"object": "<string>",
"id": "<string>",
"name": "<string>",
"href": "<string>"
},
"status": "<string>",
"use_custom_availability": true,
"version": 123
}
}Send an empty object as the body. The asset comes back under
rental_asset; a later read shows status inactive. Cancelling an asset that is already cancelled is refused with a 4xx status.
The SDK samples get their client from credentials your app registers once when it starts, as shown in Authentication. To try the call here, click Try it, set
host to your Exsited API host name and paste an access token from Get an access token. To send a raw JSON body instead of filling in fields, copy the cURL sample and edit its -d payload.Authorizations
An access token from POST /api/v4/oauth2/token. The SDKs get and renew it for you.
Path Parameters
The rental asset's id. The same value as rental_asset_uuid in the other paths.
Body
application/json
An empty object.
Response
200 - application/json
The cancelled rental asset, under rental_asset.
Show child attributes
Show child attributes